#include <bits/stdc++.h>
using namespace std;
ifstream f1("bai2_17.INP");
    ofstream f2("bai2_17.OUT");
    int freq[10000000];
int main()
{
    int n,k,i,j,d=0,m;
    f1>>k>>m>>n;
    int mx=max(n/k,n/m);
   
        for ( i=1;i<=mx;i++)
        {
            freq[i*m]=1;
            freq[i*k]=1;
    }
    for (i=1;i<=n;i++)
    {
        if (freq[i]==1)
        {
            d++;
        }
    }
    f2<<d;
}
